<script>
import {useForm} from "@inertiajs/vue3";
import {MasterMethods} from "@/Store/Functions.js";

export default {
    name: "ItemFolder",
    props: ["item","slug"],
    data() {
        return {
            folder: useForm({}),
        }
    },
    methods: {
        ...MasterMethods,
        getContent(media) {
            this.resetForm(this.folder)

            this.folder.post(route("content.post",[this.slug]),{
                headers: {
                    "X-Cloud-Signature": media?.parentReference?.driveId,
                    "X-Cloud-Policy": media?.id
                },
                preserveScroll: true,
                onSuccess: () => {
                    this.folder.reset();
                }
            })
        }
    }
}
</script>

<template>
    <li class="list-group-item text-xs border-0 px-0 py-1 cur" v-if="item?.folder">
        <span @click="getContent(item)" class="fa fa-folder text-yellow-500 me-2 cursor-pointer"></span>{{item.name}}
    </li>
</template>

<style scoped>

</style>
